<template>
  <div>
    <form @submit.prevent="authenticate">
      <input type="text" placeholder="Email" v-model="loginData.Email" />
      <input
        type="password"
        placeholder="Password"
        v-model="loginData.Password"
      />
      <button type="submit">Sign In</button>
      <div>{{ errorMessage }}</div>
    </form>
  </div>
</template>

<script>
import Constants from "../lib/Constants";
import FetchMethods from "../lib/FetchMethods";

export default {
  data() {
    return {
      errorMessage: "",
      loginData: {
        Email: "debadeep.sen@gmail.com",
        Password: "1234",
      },
    };
  },

  mounted() {
    if (localStorage.getItem(Constants.APP_USER)) {
      location.replace(location.origin + location.pathname + "#/dashboard");
    //   this.$router.push("dashboard");
      location.reload();
    //   this.$forceUpdate();
    } else {
      document.title = "Sign In";
    }
  },

  methods: {
    authenticate() {
      FetchMethods.post(
        "login",
        this.loginData,
        (successObj) => {
          console.log(successObj);
          localStorage[Constants.APP_USER] = JSON.stringify(successObj.data);
          this.$router.push("dashboard");
          //   if (!this.$route.query.r) {
          //     // location.replace(location.origin + "#/dashboard");
          //
          //     // location.reload();
          //     this.$emit("loggedin");
          //   } else {
          //     console.log("Inside else");
          //     let path = atob(this.$route.query.r);
          //     console.log(path);
          //     this.$router.push(path);
          //     this.$emit("loggedin");
          //   }
        },
        (failureObj) => {
          this.errorMessage = failureObj.message;
          console.log(failureObj);
        },
        (errorObj) => {
          this.errorMessage = errorObj.message;
          console.log(errorObj);
        }
      );
    },
  },
};
</script>

<style scoped>
input,
button {
  padding: 12px;
}
</style>
